Last Comment Bug 683473 - Version number 2.3.1 instead of 2.3.2
: Version number 2.3.1 instead of 2.3.2
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: SeaMonkey 2.3 Branch
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Justin Wood (:Callek)
:
:
Mentors:
: 683485 684426 684516 (view as bug list)
Depends on:
Blocks: SM2.3.3
  Show dependency treegraph
 
Reported: 2011-08-31 05:15 PDT by Rob Janssen
Modified: 2011-09-06 15:42 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Rob Janssen 2011-08-31 05:15:29 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0.1) Gecko/20110830 Firefox/6.0.1 SeaMonkey/2.3.1
Build ID: 20110830151746

Steps to reproduce:

Downloaded Seamonkey 2.3.2 (Dutch version)


Actual results:

Program displays version 2.3.1
Certificate for DigiNotar is not recognized so it really is version 2.3.2


Expected results:

Should display version 2.3.2
Comment 1 Sebastian Hengst [:aryx][:archaeopteryx] 2011-08-31 05:47:27 PDT
Confirming, the release notes of 2.3.2 are being shown, but the about window says 2.3.1
Comment 2 Tony Mechelynck [:tonymec] 2011-08-31 06:39:13 PDT
*** Bug 683485 has been marked as a duplicate of this bug. ***
Comment 3 Miles Fidelman 2011-08-31 06:51:11 PDT
not sure it really is 2.3.2 - in the English, Macintosh .dmg, opening up the package, and looking at info.plist shows bundle: 2.3.1 
digging down further - Contents/MacOS/application.ini: looking at the contents yields version 2.3.1

looks like the 2.3.2 readme has been bundled with the 2.3.1 application
Comment 4 Rob Janssen 2011-08-31 07:37:12 PDT
To check if it is 2.3.2:
Go to the site https://www.diginotar.nl/
When it shows an alert that the connection is insecure, it is 2.3.2 (where the root certificate of DigiNotar was removed).
When the site is shown (it redirects to http://www.diginotar.nl/) you have 2.3.1 or before.
Comment 5 therube 2011-08-31 07:50:12 PDT
> looks like the 2.3.2 readme has been bundled with the 2.3.1 application

No, that is not the case.
You can verify that 'DigiNotar' is no longer shown as a Authority.
Comment 6 Miles Fidelman 2011-08-31 08:29:44 PDT
ok - the Mac version shows that dignotar.nl is untrusted, but...
looking INSIDE the distribution files on 2.3.2.dmg
- info.plist shows Bundle Version 2.3.1
- ../application.ini shows Version=2.3.1
can't quite dig into the binary but at least some of the files have NOT been updated to reflect 2.3.2
Comment 7 therube 2011-08-31 08:52:24 PDT
Just to note ...

http://www.seamonkey-project.org/start/

Says, "Warning! You're using an old stable version of SeaMonkey (2.3.1), while we offer a newer version which contains important security fixes."
Comment 8 Justin Wood (:Callek) 2011-08-31 11:19:05 PDT
(In reply to therube from comment #7)
> Just to note ...
> 
> http://www.seamonkey-project.org/start/
> 
> Says, "Warning! You're using an old stable version of SeaMonkey (2.3.1),
> while we offer a newer version which contains important security fixes."

Fixed that.

in short, Sadly this was an hg fail, on top of a slight configuration fail after automation fail.

So what happend is this:
* We bumped our version based on the cset I configured as the parent. Then tagging (another repo) failed, due to a relbranch conflict with Thunderbird.
* When I re-ran tagging, I forgot to update the changeset to the newer one that was already bumped, even though I dropped the "bump the version" part to let us pass.
* I noticed this error after tagging finished, but before builds started, I manually did an hg tag rather than try to rerun everything, apparantly the hg tag did not take properly:

(http://hg.mozilla.org/releases/comm-release/rev/db1fd518fdf1 and http://hg.mozilla.org/releases/comm-release/rev/8ca0f604e932 were my new tagging pushes)

* This left us in a state where COMM60_20110820_RELBRANCH was not the rev actually tagged

This will be fixed by 2.3.3 :( (Mozilla needs to ship a slight correction to the build we just made). We will be shipping partial updates for *actual* 2.3.1 and 2.3.2 users.

I apologize for the confusion.
Comment 9 Matthias Versen [:Matti] 2011-09-03 06:00:43 PDT
*** Bug 684426 has been marked as a duplicate of this bug. ***
Comment 10 Matthias Versen [:Matti] 2011-09-03 11:44:09 PDT
*** Bug 684516 has been marked as a duplicate of this bug. ***
Comment 11 Justin Wood (:Callek) 2011-09-06 15:42:37 PDT
Fixed by releasing 2.3.3

Note You need to log in before you can comment on or make changes to this bug.